| 1.0.2 API documentation

Typedefs
GLM_EXT_matrix_uint4x4_sized
Stable extensions

## Typedefs
typedef mat< 4, 4, uint16, defaultp > | u16mat4
| 16 bit unsigned integer 4x4 matrix. More...
typedef mat< 4, 4, uint16, defaultp > | u16mat4x4
| 16 bit unsigned integer 4x4 matrix. More...
typedef mat< 4, 4, uint32, defaultp > | u32mat4
| 32 bit unsigned integer 4x4 matrix. More...
typedef mat< 4, 4, uint32, defaultp > | u32mat4x4
| 32 bit unsigned integer 4x4 matrix. More...
typedef mat< 4, 4, uint64, defaultp > | u64mat4
| 64 bit unsigned integer 4x4 matrix. More...
typedef mat< 4, 4, uint64, defaultp > | u64mat4x4
| 64 bit unsigned integer 4x4 matrix. More...
typedef mat< 4, 4, uint8, defaultp > | u8mat4
| 8 bit unsigned integer 4x4 matrix. More...
typedef mat< 4, 4, uint8, defaultp > | u8mat4x4
| 8 bit unsigned integer 4x4 matrix. More...

## Detailed Description

Include <glm/ext/matrix_uint4x4_sized.hpp> to use the features of this extension.

Defines a number of matrices with integer types.

## Typedef Documentation

## ◆ u16mat4

typedef mat<4, 4, uint16, defaultp> u16mat4

16 bit unsigned integer 4x4 matrix.

See also
  GLM_EXT_matrix_uint4x4_sized

Definition at line 57 of file matrix_uint4x4_sized.hpp.

## ◆ u16mat4x4

typedef mat< 4, 4, uint16, defaultp > u16mat4x4

16 bit unsigned integer 4x4 matrix.

See also
  GLM_EXT_matrix_uint4x4_sized

Definition at line 36 of file matrix_uint4x4_sized.hpp.

## ◆ u32mat4

typedef mat<4, 4, uint32, defaultp> u32mat4

32 bit unsigned integer 4x4 matrix.

See also
  GLM_EXT_matrix_uint4x4_sized

Definition at line 62 of file matrix_uint4x4_sized.hpp.

## ◆ u32mat4x4

typedef mat< 4, 4, uint32, defaultp > u32mat4x4

32 bit unsigned integer 4x4 matrix.

See also
  GLM_EXT_matrix_uint4x4_sized

Definition at line 41 of file matrix_uint4x4_sized.hpp.

## ◆ u64mat4

typedef mat<4, 4, uint64, defaultp> u64mat4

64 bit unsigned integer 4x4 matrix.

See also
  GLM_EXT_matrix_uint4x4_sized

Definition at line 67 of file matrix_uint4x4_sized.hpp.

## ◆ u64mat4x4

typedef mat< 4, 4, uint64, defaultp > u64mat4x4

64 bit unsigned integer 4x4 matrix.

See also
  GLM_EXT_matrix_uint4x4_sized

Definition at line 46 of file matrix_uint4x4_sized.hpp.

## ◆ u8mat4

typedef mat<4, 4, uint8, defaultp> u8mat4

8 bit unsigned integer 4x4 matrix.

See also
  GLM_EXT_matrix_uint4x4_sized

Definition at line 52 of file matrix_uint4x4_sized.hpp.

## ◆ u8mat4x4

typedef mat< 4, 4, uint8, defaultp > u8mat4x4

8 bit unsigned integer 4x4 matrix.

See also
  GLM_EXT_matrix_uint4x4_sized

Definition at line 31 of file matrix_uint4x4_sized.hpp.